Package: org.codehaus.groovy.ant

## [Java] Class CompileTaskSupport

- org.codehaus.groovy.ant.CompileTaskSupport

- Support for compilation related tasks.

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Path` | `classpath` |
    `protected CompilerConfiguration` | `config` |
    `protected File` | `destdir` |
    `protected boolean` | `failOnError` |
    `protected LoggingHelper` | `log` |
    `protected Path` | `src` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `compile()`
    `` | `protected GroovyClassLoader` | `createClassLoader()`
    `` | `Path` | `createClasspath()`
    `` | `CompilerConfiguration` | `createConfiguration()`
    `` | `Path` | `createSrc()`
    `` | `void` | `execute()`
    `` | `Path` | `getClasspath()`
    `` | `boolean` | `getFailonerror()`
    `` | `Path` | `getSrcdir()`
    `` | `protected void` | `handleException(Exception e)`
    `` | `void` | `setClasspath(Path path)`
    `` | `void` | `setClasspathRef(Reference r)`
    `` | `void` | `setDestdir(File dir)`
    `` | `void` | `setFailonerror(boolean fail)`
    `` | `void` | `setSrcdir(Path dir)`
    `` | `protected void` | `validate()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, addType, setCaseSensitive, setExcludes, setIncludes, addDate, setProject, createExclude, hasSelectors, selectorCount, createPatternSet, getSelectors, appendSelector, addNot, setExcludesfile, selectorElements, setIncludesfile, addAnd, addOr, addNone, addMajority, createInclude, addDepend, addSize, addModified, addContains, addDifferent, addPresent, addFilename, addDepth, addCustom, XsetItems, XsetIgnore, setFollowSymlinks, addSelector, setDefaultexcludes, createIncludesFile, createExcludesFile, addContainsRegexp, log, log, log, log, init, execute, getTaskName, maybeConfigure, setOwningTarget, getOwningTarget, setTaskName, getTaskType, setTaskType, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, reconfigure, perform, bindToOwner, clone, getLocation, setLocation, getDescription, getProject, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class Task` | `log, log, log, log, init, execute, getTaskName, maybeConfigure, setOwningTarget, getOwningTarget, setTaskName, getTaskType, setTaskType, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, reconfigure, perform, bindToOwner, clone, getLocation, setLocation, getDescription, setProject, getProject, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### protected Path classpath

    - #### protected CompilerConfiguration config

    - #### protected File destdir

    - #### protected boolean failOnError

    - #### protected final LoggingHelper log

    - #### protected Path src

  - ### Method Detail

    - #### protected void compile()

    - #### protected GroovyClassLoader createClassLoader()

    - #### public Path createClasspath()

    - #### public CompilerConfiguration createConfiguration()

    - #### public Path createSrc()

    - #### public void execute()

    - #### public Path getClasspath()

    - #### public boolean getFailonerror()

    - #### public Path getSrcdir()

    - #### protected void handleException(Exception e)

    - #### public void setClasspath(Path path)

    - #### public void setClasspathRef(Reference r)

    - #### public void setDestdir(File dir)

    - #### public void setFailonerror(boolean fail)

    - #### public void setSrcdir(Path dir)

    - #### protected void validate()